# PetscDrawHGGetAxis

Gets the axis context associated with a histogram. This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the application code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawHGGetAxis(PetscDrawHG hist, PetscDrawAxis *axis)

Not Collective (ignored except on processor 0 of PetscDrawHG)

### Input Parameter

hist -The histogram context

### Output Parameter

axis -The axis context

Contributed by: Matthew Knepley

Level:intermediate
Location: src/sys/draw/utils/hists.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages